Subject: Re: bug#79298: patch: full color in windows terminal

From: Ewan <[email-masked]>
Date: Wed, 03 Sep 2025 18:00:49 +0000

> > AFAIK users can choose to use the legacy ConHost even on newer Windows
> > versions, and I wouldn't want us to have to tell the users to tweak
> > their Emacs should it turn out ConHost causes problems with the
> > Virtual Terminal control sequences.
> 
> 
> Three things give me comfort on this front. One, Microsoft has added
> "support" for ASCII sequences (at least for color) to the Console.

I have confirmed that the conhost.exe which ships with Win11 does
support the full range of ASCII control sequences. Emacs with the 
above patch has no apparent differences from 30.2 release when run
with -q in ConHost. I don't have any older systems to test this on.